Skip to main content
POST
Create a user of any role. Admin only.

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Body

application/json

POST /manager/users — admin creates an internal user (operator / admin).

email
string<email>
required

The email of the user.

name
string
required

The name of the user.

Required string length: 3 - 32
password
string
required

The password of the user.

Minimum string length: 8
role
enum<string>
required

The role of the user. Advertisers must be created via /manager/advertisers.

Available options:
operator,
admin
budget
number
default:0

The budget of the user.

credit
number
default:0

The credit of the user.

is_active
boolean
default:true

Whether the user is active.

preferences
Preferences · object | null

The notification preferences of the user.

Response

Successful Response

Response schema for User read operations.

created_at
string<date-time>
required
email
string
required

The user's email address

id
string<uuid>
required

The user's ID

is_active
boolean
required

Whether the user is active

role
enum<string>
required

The role of the user.

Available options:
advertiser,
operator,
admin
updated_at
string<date-time>
required
budget
number
default:0

The user's budget

credit
number
default:0

The user's credit

deleted_at
string<date-time> | null

Soft deletion timestamp for the user

name
string | null

The user's name

no
integer | null
permissions
UserPermission · object

The permissions of the user.

preferences
any | null

The user's preferences